%define _prefix /opt/ghc
Name:          ghc-bin
Version:       9.0.2
Release:       1mamba
Summary:       Glasgow Haskell Compiler version used to bootstrap GHC from sources
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.haskell.org/ghc/
Source0:       https://downloads.haskell.org/~ghc/%{version}/ghc-%{version}a-i386-deb9-linux.tar.xz
Source1:       https://downloads.haskell.org/~ghc/%{version}/ghc-%{version}-x86_64-deb10-linux.tar.xz
Source2:       https://downloads.haskell.org/~ghc/%{version}/ghc-%{version}-aarch64-deb10-linux.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libgmp-devel
BuildRequires: libncurses-devel
BuildRequires: libnuma-devel
## AUTOBUILDREQ-END
Provides:      ghc-bootstrap-compiler
Obsoletes:     ghc-bootstrap-compiler < 9
#BuildRequires: libgmp3

%description
Glasgow Haskell Compiler version able to bootstrap GHC from sources.
It is only needed the first time to bootstrap the ghc package.

%ifnarch aarch64
%debug_package
%endif

%prep
%setup -q -c -T
%global __provides_exclude_from ^.*$
%global __requires_exclude ^.*libHS.*|libtinfo.so.6*$

%ifarch %{ix86}
tar xf %{SOURCE0}
%endif

%ifarch x86_64
tar xf %{SOURCE1}
%endif

%ifarch aarch64
tar xf %{SOURCE2}
%endif

mv ghc-%{version}*/* .

%build
./configure \
   --prefix=%{_prefix}
   
#   \
#   --libdir=%{_libdir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_datadir}/doc/ghc
rm -f %{buildroot}%{_mandir}/man1/ghc.1*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%dir %{_prefix}/lib/ghc-%{version}
%{_prefix}/lib/ghc-%{version}/*
%dir %{_datadir}/doc/ghc-%{version}
%dir %{_datadir}/doc/ghc-%{version}/html
%{_datadir}/doc/ghc-%{version}/html/*
%{_datadir}/doc/ghc-%{version}/*.pdf
#%dir %{_datadir}/doc/ghc-%{version}/archives
#%{_datadir}/doc/ghc-9.4.8/archives/*
#%dir %{_datadir}/doc/ghc-%{version}/users_guide
#%dir %{_datadir}/doc/ghc-%{version}/users_guide/build-man
#%{_datadir}/doc/ghc-%{version}/users_guide/build-man/ghc.1
%{_datadir}/man/man1/ghc.1*
#%doc LICENSE

%changelog
* Sat Nov 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.2-1mamba
- update to 9.0.2

* Sat Feb 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 8.10.7-1mamba
- update to 8.10.7

* Sat Sep 07 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 7.6.3-1mamba
- package created by silvan using the webbuild interface
